<template>
  <div class="slideup-everywher home-client-wave position-relative">
    <v-container fluid>
      <svg
        class="d-none d-sm-flex wave-light"
        width="2050"
        height="850"
        viewBox="0 0 2050 850"
        fill="none"
        style="top: 55%"
      >
        <path
          class="wave-path"
          d="M1270.8 218.376C1568.83 102.736 1850.63 180.948 2030.21 307.382C2032.51 308.998 2034.48 310.988 2036.1 313.28L2244.6 608.07C2253.3 620.368 2249.27 637.477 2235.62 643.849C2136.91 689.931 1934.93 754.715 1745.59 720.317C1486.28 673.211 1150.28 423.428 797.391 434.116C526.793 442.311 106.516 537.961 -92.8574 590.62C-106.447 594.21 -120.226 585.95 -123.559 572.295L-211.97 210.086C-214.872 198.199 -208.784 185.922 -197.319 181.649C-86.282 140.272 153.264 93.3374 366.435 189.479C649.935 317.339 970.87 334.757 1270.8 218.376Z"
          fill="#4D4468"
        />
        <path
          class="wave-path"
          d="M772.48 255.118C380.165 103.024 9.24323 206.281 -226.745 372.767C-229.039 374.385 -231.01 376.373 -232.632 378.664L-512.582 774.127C-521.29 786.427 -517.274 803.55 -503.683 810.064C-377.112 870.73 -105.683 960.41 148.442 914.284C489.263 852.422 930.89 524.399 1394.72 538.435C1753.87 549.303 2313.64 677.282 2572.46 745.98C2586.04 749.585 2599.94 741.362 2603.28 727.711L2722.96 237.787C2725.87 225.895 2719.88 213.66 2708.45 209.275C2565.44 154.399 2245.45 89.0608 1961.15 217.17C1588.53 385.08 1166.7 407.953 772.48 255.118Z"
          fill="#4D4468"
        />
        <path
          class="wave-path"
          d="M1447.25 805.997C1794.64 1025.39 2182.35 991.059 2453.13 870.614C2455.6 869.515 2457.81 868.064 2459.73 866.318L2833.15 525.603C2842.65 516.93 2842.3 503.238 2831.92 495.349C2724.31 413.548 2478 274.243 2215.74 273.626C1867.52 272.805 1356.87 514.147 906.52 416.969C558.455 341.862 42.8667 116.692 -194.437 2.73577C-207.328 -3.45464 -223.54 1.25043 -229.521 12.9186L-466.827 475.879C-471.469 484.935 -468.544 495.538 -459.301 501.375C-333.611 580.741 -34.896 703.74 275.402 629.247C680.162 532.076 1098.27 585.601 1447.25 805.997Z"
          fill="#4D4468"
        />
      </svg>
      <div class="positive-riview">
        <h1 v-scrollAnime class="text-center blue--text accent-4 pb-6">
          {{ $t('review') }}
        </h1>
        <v-container fluid :class="$vuetify.breakpoint.smAndUp ? 'pt-8' : 'pa-0'">
          <v-row v-scrollAnime align="center" justify="center" class="pt-3">
            <v-col cols="12" md="9">
              <swiper
                :class="
                  $vuetify.breakpoint.smAndDown ? 'swiper pa-1' : 'swiper pa-12'
                "
                :options="swiperOption"
              >
                <swiper-slide>
                  <ClientCard :qoute="qoutesData1" />
                </swiper-slide>
                <swiper-slide>
                  <ClientCard :qoute="qoutesData" />
                </swiper-slide>
                <div slot="button-prev" class="swiper-button-prev"></div>
                <div slot="button-next" class="swiper-button-next"></div>
              </swiper>
            </v-col>
          </v-row>
        </v-container>
      </div>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'ClientQoute',
  data() {
    return {
      swiperOption: {
        slidesPerView: 1,
        spaceBetween: 90,
        loop: false,
        loopFillGroupWithBlank: true,
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
      },
    };
  },
  computed: {
    qoutesData1() {
      return [
        {
          name: this.$t('qouteCustomer[0].name'),
          position: this.$t('qouteCustomer[0].position'),
          description: this.$t('qouteCustomer[0].description'),
        },
      ];
    },
    qoutesData() {
      return [
        {
          name: this.$t('qouteCustomer[1].name'),
          position: this.$t('qouteCustomer[1].position'),
          description: this.$t('qouteCustomer[1].description'),
        },
      ];
    },
  },
};
</script>
